import 'package:flutter/material.dart';
import 'package:namer_app/data/datacomment.dart';
import 'package:namer_app/footer.dart';
import 'package:namer_app/header.dart';

class ListCommentPage extends StatelessWidget {
  const ListCommentPage({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: CustomAppbar(),
      body: Stack(children: [
        SingleChildScrollView(
          child: Column(
            children: [
              Center(
                  child: Row(
                mainAxisAlignment: MainAxisAlignment.center,
                children: [
                  Text(
                    'LIST COMMENT',
                    style: TextStyle(color: Colors.black, fontSize: 48),
                  ),
                ],
              )),
              Column(
                children: List.generate(
                    4,
                    (i) => SizedBox(
                          child: ListTile(
                            leading: SizedBox(
                              child: Icon(Icons.chat),
                            ),
                            title: Text(comments[i]['comment']),
                            subtitle: Column(
                              crossAxisAlignment: CrossAxisAlignment.start,
                              children: [
                                Text(comments[i]['created']),
                                Text(comments[i]['creator'])
                              ],
                            ),
                            trailing: ButtonUser(
                              items: comments[i],
                            ),
                          ),
                        )),
              ),
            ],
          ),
        ),
      ]),
      bottomNavigationBar: Footer(),
    );
  }
}

class ButtonUser extends StatelessWidget {
  final Map<String, dynamic> items;
  ButtonUser({
    required this.items,
    super.key,
  });
  //todo tombol item
  //todo tombol delete
  @override
  Widget build(BuildContext context) {
    return Row(
      mainAxisSize: MainAxisSize.min,
      children: [
        ElevatedButton(
          onPressed: null,
          style: ElevatedButton.styleFrom(
            backgroundColor: Colors.black,
          ),
          child: Text(
            'Delete',
            style: TextStyle(color: Colors.white),
          ),
        ),
      ],
    );
  }
}
